this.name           = "AutoRefuel";
this.author         = "ByronArn";
this.copyright      = "(C) 2016 ByronArn.";
this.licence        = "CC BY-NC-SA 4.0";
this.description    = "Automatically refills your fuel tank when you dock, subtracting the cost from your credits.";
this.version        = "1.0";

"use strict"

// Code for the conditional to see if the the dockable allows refuelng was written by Oolite forum user Norby.
// Suggestion to change name of OXP from AutoFuel to AutoRefuel was from Oolite forum user phkb.

this.shipDockedWithStation = function(station) {
	if (player.ship.fuel < 7) {
		var ds = player.ship.dockedStation;
		if (ds) {
			var barred = false;
			var si = ds.scriptInfo;
			if (si) barred = si["oolite-barred-equipment"];
			if (!barred || barred.indexOf("EQ_FUEL") == -1)  {
				var amount = 7-player.ship.fuel;
				var price = 24/7;
				var total = amount*price;
				if (total < player.credits) {
					player.ship.fuel = 7;
					player.credits-=total;
					player.consoleMessage("Fuel tank filled! "+total.toFixed(1)+"Cr deducted from your account!", 10);
				} else player.consoleMessage("AutoRefuel Error: Not enouch credits to refuel!");
			} else player.consoleMessage("AutoRefuel Error: Station does not allow refueling!");
		}
	}
}

